<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

session_start();

function checkPass($user, $pass)
{
  $link = mysql_connect("localhost", "test", "test");
  $flag = mysql_select_db("test");

  if(!$link || !$flag){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }

  $query = "SELECT PASS FROM USERS WHERE NAME = '".$user."'";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych. Odrzucone zapytanie.");
    mysql_close($link);
    return false;
  }

  if(!$row = mysql_fetch_row($result)){
    mysql_close($link);
    return false;
  }

  if($row[0] != $pass){
    mysql_close($link);
    return false;
  }
  else{
    mysql_close($link);
    return true;
  }
}

if(isSet($_SESSION['zalogowany'])){
  header("Location: glowna.php");
  exit();
}
else if(isSet($_COOKIE["pass"]) && isSet($_COOKIE["user"])){
  $pass = $_COOKIE["pass"];
  $user = $_COOKIE["user"];
  if(!checkPass($user, $pass)){
    setCookie("user", $user, time() - 3600);
    setCookie("pass", $pass, time() - 3600);
  }
  else{
    $_SESSION['zalogowany'] = true;
    header("Location: glowna.php");
    exit();
  }
}
else if(isSet($_POST["haslo"]) && isSet($_POST["nazwa"]) 
        && checkPass($_POST["nazwa"], $_POST["haslo"])){
  if(isSet($_POST["autologin"]) && $_POST["autologin"] == "checked"){
    setCookie("user", $_POST["nazwa"], time() + 3600 * 24 * 30);
    setCookie("pass", $_POST["haslo"], time() + 3600 * 24 * 30);
  }
  $_SESSION['zalogowany'] = true;
  header("Location: glowna.php");
  exit();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<form name="formularz1"
      action="index.php"
      method="POST">
<div style="text-align:center">
<table align="center" border="0">
<tr>
<td colspan="2">Wprowadź nazwę i hasło użytkownika:</td>
</tr><tr>
<td align="left">Użytkownik:</td>
<td><input type="text" name="nazwa"></td>
</tr><tr>
<td align="left">Hasło:</td>
<td><input type="password" name="haslo"></td>
</tr><tr>
<td colspan="2"><input type="checkbox" name="autologin" value="checked">Loguj automatycznie</td>
</tr><tr>
<td colspan="2"><input type="submit" value="Wejdź"></td>
</tr>
</table>
</div>
</form>
</body>
</html>
